#ifndef _DBUTILS_GUI_NAMEDCONFIGTREE_H
#define _DBUTILS_GUI_NAMEDCONFIGTREE_H

#include <DatabaseUtils/DAQConfig/NamedConfigUtils.h>
#include <QtGui/QTreeView>

namespace dbutils {
namespace gui {

/**
 * 
 *
 * @author Kurt Biery
 * @version $Revision: 1.1.14.1 $ $Date: 2017/10/13 01:09:47 $
 */

class NamedConfigTree : public QTreeView
{
    //Q_OBJECT

 public:

    NamedConfigTree(QWidget *parent = 0);

    void loadData(dbutils::daqconfig::NamedConfigUtils::
                  GlobalNameSpecMap nameSpecMap);

    std::string getSelectedConfigName() const;
    std::string getSelectedDCMOpMode() const;
    std::string getSelectedTime() const;

 private:

};

} // end of namespace gui
} // end of namespace dbutils

#endif
