#!/bin/bash
source /home/novadaq/DAQOperationsTools/novadaq_setup.sh
export NOVADBPWDFILE=./.reader_passwd
setup python_packages
echo 'Starting HV File generation ' `date`
python NDAPDHVSetting.py >& `date +%Y_%m_%d_`NDAPDHVSetting.log
echo 'Done ' `date`
sort -u -o hv_HighT.csv hv_HighT.csv
sort -u -o hv_LowT.csv hv_LowT.csv
mv hv_HighT.csv `date +%Y_%m_%d_`hv_HighT.csv
mv hv_LowT.csv `date +%Y_%m_%d_`hv_LowT.csv
#ssh novadcs@novadcs-far-readout-06.fnal.gov 'scp novadaq@novadaq-far-master-02:/home/novadaq/APDHVsetting/DatabaseUtils/scripts/'`date +%Y_%m_%d_`'hv_HighT_m150.csv /nova/config/FarDet/DCS/HighVoltageAndTemp/HighT_m150/'
#ssh novadcs@novadcs-far-readout-06.fnal.gov 'scp novadaq@novadaq-far-master-02:/home/novadaq/APDHVsetting/DatabaseUtils/scripts/'`date +%Y_%m_%d_`'hv_LowT_m150.csv /nova/config/FarDet/DCS/HighVoltageAndTemp/LowT_m150/'
